Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.swingx
Class JXEditorPane.DocumentSearchable

    java.lang.Object
      org.jdesktop.swingx.JXEditorPane.DocumentSearchable

All Implemented Interfaces:
  Searchable

Enclosing class:
  JXEditorPane

    public class JXEditorPane.DocumentSearchable

extends java.lang.Object
implements Searchable

A `Searchable` implementation for `Document`s.

Constructor Summary
`JXEditorPane.DocumentSearchable()`

Method Summary
`protected boolean` | `isEmpty(java.lang.String searchString)` checks if the searchString should be interpreted as empty.
`int` | `search(java.util.regex.Pattern pattern)` Search for the pattern from the beginning of the document.
`int` | `search(java.util.regex.Pattern pattern, int startIndex)` Search for the pattern from the start index.
`int` | `search(java.util.regex.Pattern pattern, int startIndex, boolean backwards)` Search for the pattern from the start index.
`int` | `search(java.lang.String searchString)` Search `searchString` from the beginning of a document.
`int` | `search(java.lang.String searchString, int columnIndex)` Search `searchString` from the given position in a document.
`int` | `search(java.lang.String searchString, int columnIndex, boolean backward)` Search `searchString` in the given direction from the some position in a document.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JXEditorPane.DocumentSearchable

    public JXEditorPane.DocumentSearchable()

Method Detail

### search

    public int search(java.lang.String searchString)

  Description copied from interface: `Searchable`
  Search `searchString` from the beginning of a document.

  Specified by:
    `search` in interface `Searchable`
  Parameters:
    `searchString` - `String` we should find in a document.
  Returns:
    index of matched `String` or -1 if a match cannot be found.

### search

    public int search(java.lang.String searchString,
                      int columnIndex)

  Description copied from interface: `Searchable`
  Search `searchString` from the given position in a document.

  Specified by:
    `search` in interface `Searchable`
  Parameters:
    `searchString` - `String` we should find in a document.
    `columnIndex` - Start position in a document or -1 if we want to search from the beginning.
  Returns:
    index of matched `String` or -1 if a match cannot be found.

### search

    public int search(java.lang.String searchString,
                      int columnIndex,
                      boolean backward)

  Description copied from interface: `Searchable`
  Search `searchString` in the given direction from the some position in a document.

  Specified by:
    `search` in interface `Searchable`
  Parameters:
    `searchString` - `String` we should find in a document.
    `columnIndex` - Start position in a document or -1 if we want to search from the beginning.
    `backward` - Indicates search direction, will search from the given position towards the beginning of a document if this parameter is `true`.
  Returns:
    index of matched `String` or -1 if a match cannot be found.

### isEmpty

    protected boolean isEmpty(java.lang.String searchString)

  checks if the searchString should be interpreted as empty. here: returns true if string is null or has zero length. TODO: This should be in a utility class.

  Parameters:
    `searchString` -
  Returns:
    true if string is null or has zero length

### search

    public int search(java.util.regex.Pattern pattern)

  Description copied from interface: `Searchable`
  Search for the pattern from the beginning of the document.

  Specified by:
    `search` in interface `Searchable`
  Parameters:
    `pattern` - Pattern for search
  Returns:
    index of matched `Pattern` or -1 if a match cannot be found.

### search

    public int search(java.util.regex.Pattern pattern,
                      int startIndex)

  Description copied from interface: `Searchable`
  Search for the pattern from the start index.

  Specified by:
    `search` in interface `Searchable`
  Parameters:
    `pattern` - Pattern for search
    `startIndex` - starting index of search. If -1 then start from the beginning
  Returns:
    index of matched pattern or -1 if a match cannot be found.

### search

    public int search(java.util.regex.Pattern pattern,
                      int startIndex,
                      boolean backwards)

  Description copied from interface: `Searchable`
  Search for the pattern from the start index.

  Specified by:
    `search` in interface `Searchable`
  Parameters:
    `pattern` - Pattern for search
    `startIndex` - starting index of search. If -1 then start from the beginning
    `backwards` - indicates the direction if true then search is backwards
  Returns:
    start position of matching string or -1

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.